Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1800875 - systemctl --no-wall asks for permissions to set wall message
Summary: systemctl --no-wall asks for permissions to set wall message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 31
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-08 16:00 UTC by Juan Orti
Modified: 2020-06-05 02:29 UTC (History)
5 users (show)

Fixed In Version: systemd-245.6-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-05 02:29:23 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Juan Orti 2020-02-08 16:00:49 UTC
Description of problem:
systemctl always asks for permissions to set the wall message even if the --no-wall option is used.

~~~
$ systemctl --no-wall suspend
==== AUTHENTICATING FOR org.freedesktop.login1.set-wall-message ====
Authentication is required to set a wall message
Authenticating as: Juan Orti (juan)
Password: 
==== AUTHENTICATION COMPLETE ====
==== AUTHENTICATING FOR org.freedesktop.login1.suspend ====
Authentication is required for suspending the system.
Authenticating as: Juan Orti (juan)
Password: 
==== AUTHENTICATION COMPLETE ====
~~~

Version-Release number of selected component (if applicable):
systemd-243.6-1.fc31.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run systemctl command as non-root user and with --no-wall:

$ systemctl --no-wall suspend

Actual results:
Authentication requested for org.freedesktop.login1.set-wall-message

Expected results:
Avoid authentication for the wall message.

Additional info:

Comment 1 Zbigniew Jędrzejewski-Szmek 2020-04-16 12:29:59 UTC
https://github.com/systemd/systemd/pull/15448

Comment 2 Fedora Update System 2020-05-31 10:54:03 UTC
FEDORA-2020-dd43dd05b1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd43dd05b1

Comment 3 Fedora Update System 2020-06-01 03:12:27 UTC
FEDORA-2020-dd43dd05b1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dd43dd05b1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd43dd05b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-06-02 10:10:18 UTC
FEDORA-2020-dd43dd05b1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd43dd05b1

Comment 5 Fedora Update System 2020-06-03 03:11:24 UTC
FEDORA-2020-dd43dd05b1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dd43dd05b1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd43dd05b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-06-05 02:29:23 UTC
FEDORA-2020-dd43dd05b1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.